## DMS Get Capabilities DMS Get Capabilities |

## Functions

QmiMessageDmsGetCapabilitiesOutput * | qmi_message_dms_get_capabilities_output_ref ()
void | qmi_message_dms_get_capabilities_output_unref ()
gboolean | qmi_message_dms_get_capabilities_output_get_result ()
gboolean | qmi_message_dms_get_capabilities_output_get_info ()
void | qmi_client_dms_get_capabilities ()
QmiMessageDmsGetCapabilitiesOutput * | qmi_client_dms_get_capabilities_finish ()

## Types and Values

| QmiMessageDmsGetCapabilitiesOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageDmsGetCapabilitiesOutput

## Description

## Functions

### qmi_message_dms_get_capabilities_output_ref ()

    QmiMessageDmsGetCapabilitiesOutput *
    qmi_message_dms_get_capabilities_output_ref
                                   (QmiMessageDmsGetCapabilitiesOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsGetCapabilitiesOutput. |

#### Returns

the new reference to `self` .

### qmi_message_dms_get_capabilities_output_unref ()

    void
    qmi_message_dms_get_capabilities_output_unref
                                   (QmiMessageDmsGetCapabilitiesOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsGetCapabilitiesOutput. |

### qmi_message_dms_get_capabilities_output_get_result ()

    gboolean
    qmi_message_dms_get_capabilities_output_get_result
                                   (QmiMessageDmsGetCapabilitiesOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsGetCapabilitiesOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_message_dms_get_capabilities_output_get_info ()

    gboolean
    qmi_message_dms_get_capabilities_output_get_info
                                   (QmiMessageDmsGetCapabilitiesOutput *self,
                                    guint32 *value_info_max_tx_channel_rate,
                                    guint32 *value_info_max_rx_channel_rate,
                                    QmiDmsDataServiceCapability *value_info_data_service_capability,
                                    QmiDmsSimCapability *value_info_sim_capability,
                                    GArray **value_info_radio_interface_list,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessageDmsGetCapabilitiesOutput. |
value_info_max_tx_channel_rate | a placeholder for the output guint32, or `NULL` if not required. |
value_info_max_rx_channel_rate | a placeholder for the output guint32, or `NULL` if not required. |
value_info_data_service_capability | a placeholder for the output QmiDmsDataServiceCapability, or `NULL` if not required. |
value_info_sim_capability | a placeholder for the output QmiDmsSimCapability, or `NULL` if not required. |
value_info_radio_interface_list | a placeholder for the output GArray of QmiDmsRadioInterface elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_client_dms_get_capabilities ()

    void
    qmi_client_dms_get_capabilities (QmiClientDms *self,
                                     gpointer unused,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Get Capabilities request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_get_capabilities_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_dms_get_capabilities_finish ()

    QmiMessageDmsGetCapabilitiesOutput *
    qmi_client_dms_get_capabilities_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_get_capabilities()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_get_capabilities()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsGetCapabilitiesOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_get_capabilities_output_unref()`.

## Types and Values

### QmiMessageDmsGetCapabilitiesOutput

    typedef struct _QmiMessageDmsGetCapabilitiesOutput QmiMessageDmsGetCapabilitiesOutput;

The QmiMessageDmsGetCapabilitiesOutput structure contains private data and should only be accessed using the provided API.